# QStyleOptionViewItemV2 Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOptionViewItem.

### Constructor

- void QStyleOptionViewItemV2()
- void QStyleOptionViewItemV2(QStyleOptionViewItem other)
- void QStyleOptionViewItemV2(QStyleOptionViewItemV2 other)

### Constructor Properties

- prototype: The QStyleOptionViewItemV2 prototype object
- Version = 2
- StyleOptionVersion( value )
- None = 0x00
- WrapText = 0x01
- Alternate = 0x02
- HasCheckIndicator = 0x04
- HasDisplay = 0x08
- HasDecoration = 0x10
- ViewItemFeature( value )
- ViewItemFeatures( value1, value2, ... )

### Instance Properties

QStyleOptionViewItemV2 objects have no special properties beyond those inherited from the QStyleOptionViewItemV2 prototype object.